/**
 * Die Klasse Beispiel_3 erzeugt ein JFrame mit einem Men und erweiterten Men-Optionen
 *
 * @author      Florian
 * @version     Kapitel 11
 */ 

import javax.swing.*;

public class Beispiel_3
{
    /*
     * Variable vom Typ JFrame - Basis fr die Oberflche
     */
    private JFrame fenster = new JFrame();

    /*
     * Menbalken
     */
    JMenuBar mnHauptmenue = new JMenuBar();

    public static void main(String[] args)
    {
        new Beispiel_3();
    }   

    Beispiel_3 ()
    {
        // Die Gre des Fensters in Pixel
        fenster.setSize(300, 250);

        // Position festlegen
        fenster.setLocation(150, 320);

        // Titel einfgen
        fenster.setTitle("Meine erste GUI");

        // Programm beenden, wenn Fenster geschlossen wird
        fenster.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);

        // das Hauptmen hinzufgen
        fenster. setJMenuBar(mnHauptmenue);

        // einen Menpunkt generieren
        JMenu mnDatei = new JMenu("Datei"); 
        mnDatei.setMnemonic('D');

        // Menpunkt dem JMenu hinzufgen
        mnHauptmenue.add(mnDatei); 

        // ein Menu-Item generieren
        JMenuItem mnOeffnen = new JMenuItem("ffnen");

        // ein weiteres Menu-Item generieren
        JMenuItem mnSpeichern = new JMenuItem("Speichern"); 

        // ein weiteres Menu-Item generieren
        JMenuItem mnSchliessen = new JMenuItem("Schlieen");

        // ein weiteres Menu-Item generieren
        JMenuItem mnBeenden = new JMenuItem("Beenden");

        // die Menu-Items dem MenuBar hinzufgen
        mnDatei.add(mnOeffnen);
        mnDatei.add(mnSpeichern);
        mnDatei.add(mnSchliessen);
        mnDatei.addSeparator();

        // Untermen anlegen
        JMenu mnTools = new JMenu("Tools");

        // Untermen einbinden
        mnDatei.add(mnTools);

        // Menpunkte des Untermens generieren und einbinden
        JMenuItem mnRechner = new JMenuItem("Taschenrechner");
        mnTools.add(mnRechner);

        JMenuItem mnAdressbuch = new JMenuItem("Adressbuch");
        mnTools.add(mnAdressbuch);

        // Bereich durch horizontale Linie abgrenzen
        mnDatei.addSeparator();

        // Menpunkt Hintergrundfarbe
        JMenu mnHintergrundfarbe = new JMenu("Hintergrundfarbe");

        // Radio-Buttons
        ButtonGroup gruppe = new ButtonGroup();
        JRadioButtonMenuItem rot = new JRadioButtonMenuItem("rot");
        rot.setSelected(true);
        mnHintergrundfarbe.add(rot);

        JRadioButtonMenuItem blau = new JRadioButtonMenuItem("blau");
        mnHintergrundfarbe.add(blau);        

        JRadioButtonMenuItem gelb = new JRadioButtonMenuItem("gelb");
        mnHintergrundfarbe.add(gelb);

        gruppe.add(rot);
        gruppe.add(blau);
        gruppe.add(gelb);

        mnDatei.add(mnHintergrundfarbe);

        mnDatei.addSeparator();  

        // Menpunkt Whrungen
        JMenu mnWaehrungen = new JMenu("erlaubte Whrungen");

        // Checkboxen
        JCheckBoxMenuItem mnEuro = new JCheckBoxMenuItem("Euro");
        mnWaehrungen.add(mnEuro);

        JCheckBoxMenuItem mnGlobo = new JCheckBoxMenuItem("Globo");

        mnWaehrungen.add(mnEuro);
        mnWaehrungen.add(mnGlobo);

        mnDatei.add(mnWaehrungen );
        mnDatei.addSeparator();  

        mnDatei.add(mnBeenden);

        // Fenster anzeigen
        fenster.setVisible(true);
    }
}  