package BorderLayout; 

/**
 * Zeigt die Bereiche des BorderLayout
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */ 
import java.awt.BorderLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class Demo_1
{
    public static void main(String[] args)
    {
        // Rahmen erzeugen 
        JFrame frmMain = new JFrame();
        
        // Container fr die Komponenten anlegen 
        JPanel pnlMain = new JPanel();
        
        // LayoutManager erstellen
        BorderLayout layout = new BorderLayout();  
        
        // LayoutManger dem Container zuweisen
        pnlMain.setLayout(layout);
        
        pnlMain.add(new JButton("Norden"), BorderLayout.NORTH);
        pnlMain.add(new JButton("Sden"), BorderLayout.SOUTH);
        pnlMain.add(new JButton("Westen"), BorderLayout.WEST);
        pnlMain.add(new JButton("Osten"), BorderLayout.EAST);
        pnlMain.add(new JButton("Mitte"), BorderLayout.CENTER);
        
        // Container auf das Fenster packen 
        frmMain.getContentPane().add(pnlMain);
        
        // Optimale Ausrichtung anfordern
        frmMain.pack();
        
        // Was passieren soll, wenn ...
        frmMain.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        // Fenster anzeigen
        frmMain.setVisible(true);
        
    }
}
