package JTable_7a;

/**
 * Stellt den Datentyp Planet
 * 
 * @author      Florian
 * @version     Kapitel 13
 */
public class Planet
{
    /**
     * Name des Planeten
     */ 
    private String name;
    
    /**
     * Umlaufzeit in Tagen
     */
    private double umlaufzeit;
    
    /**
     * Eigenschaft, ob Planet oder nicht
     */
    private boolean isPlanet;
    
    /**
     * Name des Entdeckers des Planeten
     */
    private String entdecker;
    
    /**
     * Konstruktor 
     * @param String Name des Planeten
     * @param double Umlaufzeit - in Tagen 
     * @param boolean isPlanet - Eigenschaft, ob Himmelskrper ein Planet ist oder nicht
     * @param String Name des Entdeckers
     */
    public Planet(String name, double umlaufzeit, boolean isPlanet, String entdecker)
    {
        this.name = name; 
        this.umlaufzeit = umlaufzeit;
        this.isPlanet = isPlanet;
        this.entdecker = entdecker; 
    }

    /**
     * Legt den Wert fr die Umlaufzeit fest
     * @param double die Umlaufzeit 
     */
    public void setUmlaufzeit(double umlaufzeit)
    {
        this.umlaufzeit = umlaufzeit;
    }
    
    /**
     * gibt die Umlaufzeit zurck
     * @return double die Umlaufzeit in Tagen 
     */
    public double getUmlaufzeit()
    {
        return umlaufzeit;
    }

    /**
     * gibt den Namen des Himmelskrpers zurck
     * @return String Name des Himmelskrpers
     */
    public String getName()
    {
        return name; 
    }
    
    /**
     * gibt zurck, ob der Himmelskrper ein Planet ist oder nicht 
     * @return boolean true wenn Planet
     */
    public boolean isPlanet()
    {
        return isPlanet;
    } 
    
    /**
     * legt fest, ob der Himmelkrper ein Planet ist 
     * @param boolean true wenn Planet 
     */
    public void setIsPlanet(boolean planet)
    {
        this.isPlanet = planet;
    }
    
    /**
     * gibt den Namen des Entdeckers zurck
     * @return String Name des Entdeckers
     */
    public String getEntdecker()
    {
        return entdecker;
    }
    
    /**
     * legt den namen des Entdeckers fest
     * @param String Name des Entdeckers
     */
    public void setEntdecker(String entdecker)
    {
        this.entdecker = entdecker;
    }
}
