
/**
 * In der Klasse Exception_1 wird ein einfaches Beispiel fr eine Exception-Behandlung angeboten
 * 
 * @author      Florian
 * @version     Kapitel 14
 */
public class Exception_1
{
    private static double berechneWurzel(int wert) throws Exception
    { 
        Exception ex = new Exception("Negativer Radikant");
        if(wert <= 0)
        {
            throw ex;
        }
        else 
        {
            return Math.sqrt(wert);
        }
    }
    
    private static void anzeigen()
    {
        double wurzel;
        int radikant = -5;
        
        try
        {
            wurzel = berechneWurzel(radikant);
            System.out.println(wurzel);
        }
        catch(Exception ex)
        {
            try
            { 
                radikant = -radikant;
                wurzel = berechneWurzel(radikant);
                System.out.println(wurzel);
            }
            catch(Exception e)
            {
                System.out.println(e.getMessage());
            }
        }
    }

    public static void main(String[] args)
    {
        anzeigen();
    }
}
