/**
 * In der Klasse Exception_2 wird ein einfaches Beispiel fr eine Exception-Behandlung angeboten.
 * Neu hier: Exception wird nicht gefangen sondern weitergereicht
 * 
 * @author      Florian
 * @version     Kapitel 14
 */
public class Exception_2
{
    private static double berechneWurzel(int wert) throws Exception
    {  
        if(wert <= 0) 
        { 
            throw new Exception("Radikant ist negativ - Wurzel nicht berechnet"); 
        }
        else  
        {
            return Math.sqrt(wert); 
        }
    }
    
    private static void anzeigen() throws Exception
    {
        double wurzel;
        int radikant = 5;
        wurzel = berechneWurzel(radikant);
        System.out.println(wurzel);
        System.out.println("q. e. d.");
    }

    public static void main(String[] args)
    {
        try
        {
            anzeigen();
        }
        catch(Exception ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}