
/**
 * In der Klasse werden benutzerdefiniert alle drei Exceptions geworfen
 * 
 * @author      Florian 
 * @version     Kapitel 14
 */
public class Anwendung
{ 
    private static void auswerten()
        throws HandtuchException, FlinteException, SchrotflinteException
    {
        int zufallszahl; 
        zufallszahl = (int)(Math.random() * 10);
        
        if(zufallszahl < 3)
        {
            throw new HandtuchException();
        }
        else 
            if(zufallszahl < 7)
            {
                throw new FlinteException();
            }
            else 
                throw new SchrotflinteException(77);
    }

    public static void main(String[] args)    
    { 
        try
        {
            auswerten();
        }
        catch(HandtuchException | SchrotflinteException ex)
        {
            System.out.println("Gemeinsamer Code");
            System.out.println(ex.getMessage());
        } 
        catch(FlinteException ex)
        {
            System.out.println(ex.getMessage());
        } 
    }
}
