/**
 * Die Testklasse enthlt Testflle fr das Projekt 
 * 
 * @author      Florian 
 * @version     Kapitel 9
 */

import java.lang.reflect.Field;

public class Test
{
    public static void main(String[] args)
    {
        Mensch egon = new Mensch("Egon Roth");
        Student susanne = new Student("Susanne Schlau", "08-15"); 
        Student volker = new Student("Volker Pfau", "47-11");
        Mensch sabine = new Student ("Sabine Lustig", "23-77");
 
        // erwartet: keine Exception
        try
        {
            System.out.println(egon.heiraten(susanne));
        }
        catch(BigamieException ex)
        {
            System.out.println(ex.getMessage());
        }
        
        // erwartet: BigamieException - verheiratet versucht ledig zu heiraten
        try
        {
            egon.heiraten(sabine);
        }
        catch(BigamieException ex)
        {
            System.out.println(ex.getMessage());
        }
        
        // erwartet: BigamieException - verheiratet soll von ledig geheiratet werden
        try
        {
            volker.heiraten(susanne);
        }
        catch(BigamieException ex)
        {
            System.out.println(ex.getMessage());
        } 
        
        // Erwartet: SelbstheiratException
        try
        {
            volker.heiraten(volker);
        }
        catch(BigamieException ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}