
/**
 * Testklasse fr die MyArray-Klasse
 * 
 * @author      Florian 
 * @version     Kapitel 15
 */
public class TestMyArray
{ 
    public static void main(String[] args)
    { 
        // Test fr MyArray
        MyArray myArray = new MyArray();
        
        // Test Gre 
        for(int i = 0; i < 20; i++)
        {
            myArray.add(new String("String Nummer " + i));
        }
        
        System.out.println("Das Array enthlt " + myArray.size() + " Referenzen.");
        
        for(int i = 0; i < myArray.size(); i++)
        {   
            System.out.println("Das " + (i + 1) + ". Element heit: " + myArray.get(i));
        } 
        
        // Test fr MyArrayMitGenerics
        System.out.println("\nIch teste MyArrayMitGenerics");
        // Java 6:
        // MyGenericArray<Integer> myArrayG = new MyGenericArray<Integer>();
        // Java 7: 
        MyGenericArray<Integer> myArrayG = new MyGenericArray<>();
        
        // Test Gre 
        for(int i = 0; i < 20; i++)
        {
            // funktioniert nicht: 
            // myArrayG.add(new String("String Nummer " + i));
            
            // DAS funktioniert aber:
            myArrayG.add(new Integer( i));
            
        }
        
        System.out.println("Das Array enthlt " + myArrayG.size() + " Referenzen.");
        
        for(int i = 0; i < myArrayG.size(); i++)
        {
            System.out.println("Das " + (i + 1) + ". Element heit: " + myArrayG.get(i));
        }
    }
}
