
/**
 * Die Klasse DemoThread bietet den Einstieg fr die Verarbeitung mehrere Threads
 * 
 * @author      Florian 
 * @version     Kapitel 16
 */
public class DemoThread_2
{
    private static class DummyRunnable implements Runnable
    {
        public void run()
        {
            for(int i = 0; i < 100; i++)
            {
                System.out.println("\tRunnable-Thread: " + i);   
            }   
        }
    }
    
    private static class DummyThread extends Thread
    {
        public void run()
        {            
            for(int i = 0; i < 100; i++)
            {
                System.out.println("Threadklasse: " + i);   
            }   
        }
    }
    
    public static void main(String[] args)
    {
        DummyRunnable dummy = new DummyRunnable();
        Thread runnableDemo = new Thread(dummy);
        runnableDemo.start();
        
        Thread thread = new DummyThread();
        thread.start();
    }
}
