
/**
 * Die Klasse Kinokasse_Block hlt die gemeinsame Datenbasis und stellt Methoden fr den Verkaufsvorgang zur Verfgung
 * 
 * @author      Florian 
 * @version     Kapitel 16
 */
class Kinokasse_Block 
{
    private static int sitze = 10;
    
    private int getAnzahlSitze()
    {
        return sitze;
    }
        
    private void verkaufen()
    {
        sitze--;
    }
    
    void verkaufeKarten()
    {
        // Hilfsvariable fr die Konsolenausgabe - Name des aktuellen Threads
        String thread = Thread.currentThread().getName();
        System.out.println(thread + " Anfang");
            
        // Hilfsvariable, die die Anzahl der Sitzpltze in einem bestimmten Augenblick festhlt; als lokale Variable muss 
        // sie initialisiert werden. 
        int plaetze = 0;
            
        synchronized(this)
        {
            if(getAnzahlSitze() >= 1)
            {
                System.out.println(thread + " will eine Karte verkaufen.");
                try 
                {
                    System.out.println(thread + " kassiert gerade das Geld");
                    Thread.sleep(1000);                    
                }
                catch(InterruptedException ex)
                {
                    ex.printStackTrace();
                }
                System.out.println(thread + " hat jetzt kassiert.");
                verkaufen();
                plaetze = getAnzahlSitze();
                System.out.println(thread + " hat erfolgreich eine Karte verkauft, noch " + plaetze + " freie Pltze");
            }
            else 
            {
                System.out.println(thread + " vertrstet den Gast auf die nchste Veranstaltung.");
            }            
        }
        
        System.out.println(thread + " Ende\n");            
    }
}
