/**
 * Demonstriert die Funktionen wait() und notify()
 * 
 * @author      Florian 
 * @version     Kapitel 16
 */
import java.util.*;

public class ProducerConsumerDemo
{
    public static void main(String[] args)
    {
        // gemeinsame Datenbasis 
        ArrayList<String> bier = new ArrayList<String>();
        
        System.out.println("Simulation gestartet");
         
        Produzent prod = new Produzent(bier);
        prod.setName("Produzent");
        prod.start();
        
        Verbraucher verbr_1 = new Verbraucher(bier);
        verbr_1.setName("Verbraucher 1");
        verbr_1.start();
        
        Verbraucher verbr_2 = new Verbraucher(bier);
        verbr_2.setName("Verbraucher 2");
        verbr_2.start();
        
        try
        {
            Thread.sleep(10000);
        }
        catch(Exception ex)
        {
            // do nothing
        }
        
        prod.interrupt();
        verbr_1.interrupt();
        verbr_2.interrupt();
    }
}
