
import java.io.Serializable;
import java.util.ArrayList;

/**
 * Das Adressbuch speichert die verschiedenen Eintrge 
 * 
 * @author      Florian
 * @version     Kapitel 17
 */
public class Adressbuch implements Serializable
{
    private ArrayList<Freund> adressen = new ArrayList<>();

    public void addEintrag(String name, String email)
    {
        adressen.add(new Freund(name, email));
    }

    @Override
    public String toString()
    {
        int anzahl = adressen.size();
        String result = "Das Adressbuch hat " + anzahl + " Eintrge: ";
        
        for (int i = 0; i < anzahl; i++)
        {
            result += "\n" + adressen.get(i);
        }
        
        return result;
    }
}
