
/**
 * Die Klasse IPAdresse demonstriert den Umgang mit IP-Adressen
 * 
 * @author      Florian 
 * @version     Kapitel 18
 */
import java.net.InetAddress;
import java.net.UnknownHostException;

public class IPAdresse
{
    public static void main(String[] args)
    {
        try
        {
            InetAddress adresse = InetAddress.getByName("85.88.3.146");        
            System.out.println(adresse.getHostAddress());
            System.out.println(adresse.getHostName() + "\n");
            
            adresse = InetAddress.getByName("www.BlueJ-Buch.de");        
            System.out.println(adresse.getHostAddress());
            System.out.println(adresse.getHostName() + "\n");
            
            adresse = InetAddress.getByName("localhost");        
            System.out.println(adresse.getHostAddress());
            System.out.println(adresse.getHostName());
        }
        catch(UnknownHostException ex)
        {
            System.out.println(ex.getMessage());
        }
    }
}
