
import java.io.IOException;
import java.net.ServerSocket;
import java.net.Socket;

/**
 * Die Klasse MyServer ist einfacher Server
 * 
 * @author      Florian
 * @version     Kapitel 18
 */
public class MyServer
{
    /**
     * Die Portnummer
     */
    private static int port = 4711;

    /**
     * startet den Server
     */
    public void abgehts()  
    {
        try (ServerSocket serverSocket = new ServerSocket(port);)
        { 
            while (true)
            {
                System.out.println("Server wartet auf Anfragen ...");
                Socket socket = serverSocket.accept();
                Session session = new Session(socket);
                System.out.println("Anfrage akzeptiert ...");
                session.run();
            }
        }
        catch (IOException ex)
        {
            System.out.println(ex.getMessage());
        }
    }

    public static void main(String[] args)
    {
        new MyServer().abgehts();
    }
}
