
/**
 * Die abstrakte Klasse Rechenaufgabe stellt die Variablen und Methoden zur Verfgung, 
 * die alle Rechenaufgaben brauchen. Die gemeinsamen Elemente werden hier 
 * "vor die Klammer gezogen"
 * 
 * @author      Florian 
 * @version     Kapitel 18
 */

public abstract class Rechenaufgabe implements Aufgabe
{ 
    /**
     * Die zwei Operanden der Rechenoperation
     */
    private int x = 0;
    private int y = 0; 
    
    /**
     * Gibt einen Operanden zurck
     * @return Der eine Operand
     */
    public int getX()
    {
        return x;
    }
    
    /**
     * Gibt einen Operanden zurck
     * @return Der andere Operand 
     */
    public int getY()
    {
        return y;
    }
        
    public Rechenaufgabe(int x, int y)
    {
        this.x = x;
        this.y = y;
    }
}
