/**
 * Die Klasse DivRechenaufgabe stellt die Variablen und Methoden zur Verfgung, 
 * die fr die Division bentigt werden. 
 * 
 * @author      Florian 
 * @version     Kapitel 18
 */
public class DivRechenaufgabe extends Rechenaufgabe 
{
    /**
     * speichert das Ergebnis der Rechenoperation
     */
    private double ergebnis = 0;
    
    /**
     * gibt das Ergebnis zurck
     * return Das Ergebnis der Division
     */
    public double getErgebnis()
    {
        return ergebnis; 
    }
    
    /**
     * setzt das Ergebnis
     * @param ergebnis Ergebnis der Division
     */
    public void setErgebnis(double ergebnis)
    {
        this.ergebnis = ergebnis;
    }
    
    /**
     * Konstruktor: erwartet Dividend und Divisor
     * @param x Zahl, die geteilt werden soll
     * @param y Zahl, durch die geteilt werden soll
     */
    public DivRechenaufgabe(int x, int y)
    {
        super(x, y);
    }
    
    /**
     * Liefert eine String-Reprsentation der Division
     * @return String-Reprsentation der Division
     */
    @Override
    public String toString()
    {        
        return "Division von " + getX() + " durch " + getY() + ": " + ergebnis;
    }
}
