
/**
 * Die Klasse Notendurchschnitt demonstriert die Verwendung eindimensionaler Arrays
 * 
 * @author      Florian
 * @version     Kapitel 6
 */
public class Durchschnitt
{
    private static double durchschnitt = 0.0;
    private static int[] punkte = {14, 15, 13, 15}; 
    
    public static void main(String[] args)
    { 
        int summe = 0;        
        
        // Summe der Noten bilden
        for (int tempInt : punkte)        
        {
            summe += tempInt;
        }        
        
        // Durchschnitt berechnen
        durchschnitt = summe / 4.0;
        
        // Durchschnitt ausgeben
        System.out.println(durchschnitt);
    }
}