/**
 * Die Klasse Student definiert die Attribute und Methoden eines Studenten
 * 
 * @author      Florian 
 * @version     Kapitel 9
 */
public class Student 
{ 
    /**
     * Der Name des Studenten
     */
    private String name = new String();

    /**
     * Die Matrikelnummer des Studenten
     */
    private String matrikel = new String(); 

    /**
     * Setzt den Namen des Studenten
     * @param String Der Name des Studenten
     */
    public void setName(String name)
    {
        this.name = name; 
    }

    /**
     * Gibt den Namen des Studenten zurck
     * @return Der Name des Studenten
     */
    public String getName()
    {
        return name;
    }

    /**
     * Setzt die Immatrikulationsnummer 
     * @param String Die Matrikelnummer
     */
    public void setMatrikel(String matrikel)
    {
        this.matrikel = matrikel;
    } 

    /**
     * Gibt die Immatrikulationsnummer zurck
     * @return Matrikelnummer des Studenten
     */
    public String getMatrikel()
    {
        return matrikel;
    }
}
