
/**
 * Die Klasse definiert eine JonglierenAction. Immer wenn der Gaukler jongliert hat, bergibt er den 
 * Zuschauern ein Objekt dieser Klasse. 
 * 
 * @author      Florian 
 * @version     Kapitel 10
 */
public class JonglierenAction extends AbstractAction
{
    public JonglierenAction(int dauer)
    {
        super(dauer);
    }

    public String getBeschreibung()
    {
        int zufallszahl;
        do
        zufallszahl = (int)(Math.random() * 5);
        while(zufallszahl == 0);

        return("Ich jongliere mit " + zufallszahl + " Bllen.");
    }
    
    @Override
    public String toString()
    {
        return "Jonglieren";
    }
}
