
/**
 * Oberfläche des Programms
 * 
 * @author      Florian 
 * @version     Kapitel 12
 */
import javax.swing.JFrame;
import javax.swing.WindowConstants;
import javax.swing.JTabbedPane;
import javax.swing.JPanel;

public class GUI extends JFrame
{    
    public GUI()
    {
        // eine TabbedPane anlegen
        JTabbedPane tbbMain = new JTabbedPane();        
        // einige Reiter anlegen
        tbbMain.add(new JPanel(), "Panel Nr. 1");
        tbbMain.add(new JPanel(), "Panel Nr. 2");
        tbbMain.add(new JPanel(), "Panel Nr. 3");
        tbbMain.add(new JPanel(), "Panel Nr. 4");
        tbbMain.add(new JPanel(), "Panel Nr. 5");
        
        // Titel f�r das Fenster
        this.setTitle("Lösungsvorschlag Kapitel 12");
        // TabbedPane auf Oberfläche legen
        this.add(tbbMain);
        // optimale Größe bestimmen
        this.pack();
        // sichtbar machen
        this.setVisible(true);    
        // beim Schließen Programm beenden
        this.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    }
}
