
/**
 * Erzeugt ein Panel, das Namen und Passwort eingeben lässt. 
 * 
 * @author      Florian 
 * @version     Lösung für Kapitel 12
 */
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.awt.event.WindowEvent;
import java.awt.event.WindowListener;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JPasswordField;
import javax.swing.JTextField;
import javax.swing.JButton;
import javax.swing.JTextArea;

public class PasswordPanel extends JPanel implements ActionListener 
{
    private JButton btnAbgehts = new JButton("Abgehts");
    private JTextArea txtAusgabe = new JTextArea(4, 30);
    private JTextField edtName = new JTextField(30);
    private JPasswordField edtPasswort = new JPasswordField(30);
    
    public PasswordPanel()
    {
        this.add(new JLabel("Bitte geben Sie Ihren Namen ein: "));
        this.add(edtName);
        this.add(new JLabel("Bitte geben Sie Ihr Passwort ein: "));
        this.add(edtPasswort);
        this.add(btnAbgehts);
        btnAbgehts.addActionListener(this);
        this.add(txtAusgabe);
    }

    public void actionPerformed(ActionEvent e)
    {
        String name = edtName.getText();
        char[] tempPassword = edtPasswort.getPassword();
        String password = new String(tempPassword);
        String result = name + " hat \"" + password + "\" eingegeben.";
        txtAusgabe.setText(result);
    } 
}
