/**
 * Demonstriert die Verwendung der Klasse JTable - hier: Daten = zweidimensionales Array
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */
import javax.swing.*;
import java.awt.*;
 
public class GUI
{ 
     // Die Tabelle anlegen
    JTable tblInfos = new JTable();
    JButton btnLoeschen = new JButton("Pluto lschen");
    private JPanel pnlSort = new JPanel();
    JRadioButton rdbSortName = new JRadioButton("Nach Namen sortieren");
    JRadioButton rdbSortZeit = new JRadioButton("Nach Umlaufzeit sortieren", true);
    
    public GUI()
    {
        ButtonGroup group = new ButtonGroup();
        group.add(rdbSortName);
        group.add(rdbSortZeit);
        
        pnlSort.add(rdbSortName);
        pnlSort.add(rdbSortZeit);
        
        // Eine ScrollPane fr die Tabelle 
        JScrollPane scrTabelle = new JScrollPane(tblInfos); 
        
        // Fenster anlegen
        JFrame fenster = new JFrame("Demo JTable");        
        
        // ScrollPane auf das Fenster legen 
        fenster.getContentPane().add(scrTabelle);   
        
        fenster.add(pnlSort, BorderLayout.NORTH);
        
        // den lschen-Button auf das Fenster legen
        fenster.add(btnLoeschen, BorderLayout.SOUTH);
        
        // Was beim Schlieen des Fenster passieren soll
        fenster.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        // optimale Gre 
        fenster.pack();
        
        // Fenster anzeigen
        fenster.setVisible(true);        
    } 
}
