
/**
 * Definiert einen Comparator, der die Planeten nach dem Namen sortiert
 * 
 * @author      Florian 
 * @version     Kapitel 15
 */

import java.util.Comparator;

public class NameComparator implements Comparator<Planet>
{ 
    @Override
    public int compare(Planet planet_1, Planet planet_2)
    {
        String name_1 = planet_1.getName();
        String name_2 = planet_2.getName();
        return name_1.compareTo(name_2);
    }
}
