
/**
 * Demonstriert die Verwendung eines Timers
 * 
 * @author      Florian 
 * @version     Lösung für Kapitel 16
 */
import javax.swing.JOptionPane;
import java.util.Timer;
import java.util.TimerTask;

public class Threads
{  
    private static class MyThread extends TimerTask
    {
        public void run()
        {
            JOptionPane.showMessageDialog(null, "Tee ist fertig!");
        }
    }

    public static void main(String[] args)
    {
        Timer hinweis = new Timer();
        TimerTask zeit = new MyThread();
        hinweis.schedule(zeit, 10000);
        for(int i = 1; i <= 15; i++)
        {
            System.out.println("Zum " + i + ". Mal: Sie sind in Arbeit vertieft");
            try
            {
                Thread.sleep(1000);
            }
            catch(Exception ex)
            {
                // do nothing
            }
        }
    }
}
