/**
 * Die Klasse MyMenue stellt ein Men zur Verfgung
 * 
 * @author      Florian
 * @version     Kapitel 11
 */

import javax.swing.*;

public class MyMenue extends JMenuBar
{ 
    private JMenu mnDatei = new JMenu("Datei");
        
    MyMenue()
    {
         // einen Menpunkt generieren
         mnDatei.setMnemonic('D');
 
         // Menpunkt dem JMenu hinzufgen
         add(mnDatei);
         
         // ein Menu-Item generieren
         JMenuItem mnOeffnen = new JMenuItem("ffnen", 'f');
 
         // ein weiteres Menu-Item generieren
         JMenuItem mnSpeichern = new JMenuItem("Speichern", 's'); 
 
         // ein weiteres Menu-Item generieren
         JMenuItem mnSchliessen = new JMenuItem("Schlieen", 'c');
 
         // ein weiteres Menu-Item generieren
         JMenuItem mnBeenden = new JMenuItem("Beenden", 'b');
 
         // die Menu-Items dem MenuBar hinzufgen
         mnDatei.add(mnOeffnen);
         mnDatei.add(mnSpeichern);
         mnDatei.add(mnSchliessen);
         mnDatei.addSeparator();
         
         // Untermen anlegen
         JMenu mnTools = new JMenu("Tools");
         
         // Menpunkte des Untermens generieren und einbinden
         JMenuItem mnRechner = new JMenuItem("Taschenrechner");
         mnTools.add(mnRechner);
 
         JMenuItem mnAdressbuch = new JMenuItem("Adressbuch");
         mnTools.add(mnAdressbuch);
  
         // Untermen einbinden
         mnDatei.add(mnTools);
          
         // Bereich durch horizontale Linie abgrenzen
         mnDatei.addSeparator();
 
         // Menpunkt Hintergrundfarbe
         JMenu mnHintergrundfarbe = new JMenu("Hintergrundfarbe");
 
         // Radio-Buttons
         ButtonGroup gruppe = new ButtonGroup();
 
         // RadioButton "rot"
         JRadioButtonMenuItem rot = new JRadioButtonMenuItem("rot");
         rot.setSelected(true);
         mnHintergrundfarbe.add(rot);
 
         // RadioButton "blau"
         JRadioButtonMenuItem blau = new JRadioButtonMenuItem("blau");
         mnHintergrundfarbe.add(blau);        
 
         // RadioButton "gelb"
         JRadioButtonMenuItem gelb = new JRadioButtonMenuItem("gelb");
         mnHintergrundfarbe.add(gelb);
 
         // Die Radiobuttons der Gruppe hinzufgen
         gruppe.add(rot);
         gruppe.add(blau);
         gruppe.add(gelb);
 
         // Das Men hinzufgen 
         mnDatei.add(mnHintergrundfarbe);
 
         // Trenner hinzufgen
         mnDatei.addSeparator();  
 
         // Menpunkt Whrungen
         JMenu mnWaehrungen = new JMenu("erlaubte Whrungen");
 
         // Checkboxen
         JCheckBoxMenuItem mnEuro = new JCheckBoxMenuItem("Euro");
         JCheckBoxMenuItem mnGlobo = new JCheckBoxMenuItem("Globo");

         // Checkboxen dem Men hinzufgen
         mnWaehrungen.add(mnEuro); 
         mnWaehrungen.add(mnGlobo);
 
         // Menpunkt "Whrungen" dem Men hinzufgen
         mnDatei.add(mnWaehrungen );
         
         // Trenner einfgen
         mnDatei.addSeparator();  
 
         // letzten Menpunkt einfgen
         mnDatei.add(mnBeenden);
    }
}
