/**
 * Demonstriert die Verwendung der Klasse JScrollPane
 * 
 * @author      Florian 
 * @version     Kapitel 12
 */

import javax.swing.ImageIcon;
import javax.swing.JFrame;
import javax.swing.JLabel; 
import javax.swing.JScrollPane;

public class DemoJScrollPane 
{
    public static void main(String[] args)
    {
        // eine Oberflche wie im vorigen Beispiel erstellen
        JFrame fenster = new JFrame();
        
        // Titel fr das Fenster
        fenster.setTitle("DemoJScrollPane");
         
        // ein Label fr die Bildanzeige 
        JLabel lblBild = new JLabel(new ImageIcon("Saarschleife.jpg")); 
        
        // Anzeigekomponente in eine Instanz der Klasse JScrollPane "einpacken"
        JScrollPane scrBild = new JScrollPane(lblBild); 
          
        // Text-Icon ins Fenster integrieren
        fenster.getContentPane().add(scrBild);
        
        // optimale Gre 
        fenster.setSize(600, 600);
        
        // Oberflche anzeigen
        fenster.setVisible(true);
    }
}