
/**
 * Demonstriert die Verwendung der Klasse DemoJComboBox
 * 
 * @author      Florian 
 * @version     Kapitel 12
 */
import javax.swing.ComboBoxModel;
import javax.swing.JComboBox;
import javax.swing.JFrame;
import javax.swing.JPanel;

public class DemoJComboBox extends JFrame 
{    
    // GUI
    private JFrame frmMain;
    
    // Variable fr JTextField
    private JComboBox cmbWochentage;
    
    public static void main(String[] args)
    {
        new DemoJComboBox();
    }
    
    public DemoJComboBox()
    {
        // eine Oberflche wie im vorigen Beispiel erstellen
        frmMain = new JFrame();
        
        // Titel fr das Fenster
        frmMain.setTitle("Demo JComboBox");
        
        // Grundlage fr die Komponenten
        JPanel pnlOberflaeche = new JPanel();
        
        // Daten zusammenstellen
        String[] data = {"Montag", "Dienstag", "Mittwoch", "Donnerstag", "Freitag"};
         
        // Instanz der Klasse JComboBox
        cmbWochentage = new JComboBox(data);
        
        // Textfeld soll editiert werden drfen: 
        cmbWochentage.setEditable(true); 
        
        // Textfeld der Oberflche hinzufgen
        pnlOberflaeche.add(cmbWochentage);
        
        // Panel in das Fenster einfgen
        frmMain.getContentPane().add(pnlOberflaeche);
        
        // optimale Gre 
        frmMain.setSize(400, 200);
        
        // Oberflche anzeigen
        frmMain.setVisible(true);
    } 
    
    public void uebergebeModel(ComboBoxModel cmbModel)
    {
        cmbWochentage.setModel(cmbModel);
    }
}