
/**
 * Der Gaukler zaubert und fhrt Kunststcke vor. Er informiert darber die Zuschauer
 * 
 * @author      Florian 
 * @version     Kapitel 12
 */
public class Gaukler
{ 
    // ein Zuschauer
    private Zuschauer zuschauer = null; 
    
    // Information ber die letzte Aktion
    private String letzteAktivitaet = new String("Ich habe noch nichts getan!");
    
    /**
     * gibt zurck, was der Gaukler zuletzt getan hat
     */
    public String getAktion()
    {
        return letzteAktivitaet;
    }
    
    /**
     * zeigt eine Statusnderung an. 
     */
    public void jongliere()
    {
        letzteAktivitaet = "Drei Blle - vier Blle - fnf Blle"; 
        notifyZuschauer();
    } 
    
    /**
     * informiert den Zuschauer ber eine Aktion
     */
    public void notifyZuschauer()
    {
        zuschauer.update();
    }
    
    /**
     * registriert einen Zuschauer 
     * @param Zuschauer ein Zuschauer
     */
    public void addZuschauer(Zuschauer zuschauer)
    {
        this.zuschauer = zuschauer;
    }
}
