
/**
 * Der Zuschauer beobachtet den Gaukler und zeigt Bewunderung
 * 
 * @author      Florian 
 * @version     Kapitel 10 
 */
public class ZuschauerImpl implements Zuschauer
{  
    // Referenz auf den Gaukler
    private Gaukler gaukler; 
    
    public void setGaukler(Gaukler gaukler)
    {
        this.gaukler = gaukler; 
        gaukler.addZuschauer(this);
    }

    /**
     * wird vom Gaukler aufgerufen, wenn dieser ein Kunststck vorgefhrt hat. 
     */
    public void update()
    {
        String aktion = gaukler.getAktion();
        System.out.println("Der Gaukler sagt: \"" + aktion + "\"");
        System.out.println("Ahhh! Ohhh!");
    }
}
