package JTable_1;

/**
 * Demonstriert die Verwendung der Klasse JTable - hier: Daten = zweidimensionales Array
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */
import javax.swing.*;
 
public class Demo
{
    // Die Daten fr die Tabelle 
    private String[][] data = new String[][]
    {
        {"11", "12", "13", "14"},
        {"21", "22", "23", "24"},
        {"31", "32", "33", "34"}
    };
        
    // Die Spaltenberschriften
    private String[] header = new String[]
    {
        "Spalte 1", "Spalte 2", "Spalte 3", "Spalte 4"
    };
    
    public Demo()
    {
        // Die Tabelle anlegen
        JTable tblInfos = new JTable(data, header);
        
        // Eine ScrollPane fr die Tabelle 
        JScrollPane scrTabelle = new JScrollPane(tblInfos); 
        
        // Fenster anlegen
        JFrame frmMain = new JFrame("Demo JTable");
        
        // ScrollPane auf das Fenster legen 
        frmMain.getContentPane().add(scrTabelle);
        
        // Was beim Schlieen des Fenster passieren soll
        frmMain.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        // optimale Gre 
        frmMain.pack();
        
        // Fenster anzeigen
        frmMain.setVisible(true);
    }
     
    public static void main( String[] args )
    {
        new Demo();
    }
}
