package JTable_4;

import javax.swing.table.DefaultTableModel;

/**
 * Ist die Datenbasis - das Modell - fr die Tabelle
 * 
 * @author      Florian
 * @version     Kapitel 13
 */

public class Planetenverwaltung extends DefaultTableModel
{
    /**
     * Die Datenbasis - ein Array, das die neun Planeten speichert
     */
    private static Object[][] datenbasis = 
    {
        {"Merkur", 87.99}, 
        {"Venus", 224.7}, 
        {"Erde", 365.2}, 
        {"Mars", 687}, 
        {"Jupiter", 4332}, 
        {"Saturn", 10760}, 
        {"Uranus", 30680},  
        {"Neptun", 59900}, 
        {"Pluto", 90800}        
    };
    
    /*
     * berschriften der Spalten
     */
    private static String[] header = {"Name des Planeten", "Umlaufzeit"};
    
    /**
     * lscht Pluto aus der Liste der Planeten
     */
    public void loeschePluto()
    {
        this.removeRow(8);
    }
    
    public Planetenverwaltung()
    {
        super(datenbasis, header);
    }
}
