package JTable_5b;

import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

/**
 * Startklasse und Controller fr das Programm
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */

public class Controller implements ActionListener
{
    private Planetenverwaltung model;
    private GUI view;
    
    public Controller(GUI view, Planetenverwaltung model)
    {
        view.tblInfos.setModel(model);   
        view.btnLoeschen.addActionListener(this);
        this.view = view;
        this.model = model;
        Planetenverwaltung.MyPlanetRenderer renderer = new Planetenverwaltung.MyPlanetRenderer();
        this.view.tblInfos.setDefaultRenderer(Boolean.class, renderer);
    }
    
    public static void main(String[] args)
    {
        new Controller(new GUI(), new Planetenverwaltung());
    }
    
    public void actionPerformed(ActionEvent ev)
    {
        model.loeschePluto();
        view.btnLoeschen.setEnabled(false);
        model.fireTableRowsDeleted(8, 8);
    }
} 
