package JTable_8;

import java.awt.BorderLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JMenuBar;
import javax.swing.JScrollPane;
import javax.swing.JTable;

/**
 * Demonstriert die Verwendung der Klasse JTable - hier: Daten = zweidimensionales Array
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */
 
public class GUI
{ 
     // Die Tabelle anlegen
    JTable tblInfos = new JTable();
    JButton btnLoeschen = new JButton("Pluto lschen");
    
    public GUI()
    {
        // Eine ScrollPane fr die Tabelle 
        JScrollPane scrTabelle = new JScrollPane(tblInfos);  
        
        // Fenster anlegen
        JFrame frmMain = new JFrame("Demo JTable");
        
        // Hauptmen erzeugen
        JMenuBar mnHauptmenue = new JMenuBar();
        
        // LaF-Men erzeugen und dem HauptMen bergeben
        mnHauptmenue.add(new LaF_Menu());
        
        // Men im Fenster einfgen
        frmMain.setJMenuBar(mnHauptmenue);
        
        // ScrollPane auf das Fenster legen 
        frmMain.getContentPane().add(scrTabelle);
        
        // den lschen-Button auf das Fenster legen
        frmMain.add(btnLoeschen, BorderLayout.SOUTH);
        
        // Was beim Schlieen des Fenster passieren soll
        frmMain.setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
        
        // optimale Gre 
        frmMain.pack();
        
        // Fenster anzeigen
        frmMain.setVisible(true);
    } 
}
