package JTree_5.view;

/**
 * Renderer fr den JTree
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */
import javax.swing.tree.TreeCellRenderer;
import javax.swing.JLabel;
import javax.swing.JTree;
import java.awt.Component;
import java.awt.Color;

public class MyRenderer implements TreeCellRenderer
{ 
    private JLabel lblHK;
    
    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)
    {
        lblHK = new JLabel(); 
        lblHK.setOpaque(true);
        
        if(selected)
        {
            if(leaf)
            {
                lblHK.setBackground(Color.RED);
                lblHK.setForeground(Color.WHITE);
            }
            else if(!leaf)
            {
                lblHK.setBackground(Color.GRAY);
                lblHK.setForeground(Color.WHITE);
            }
        }
        else
        {
            lblHK.setBackground(Color.WHITE);
        }
        
        lblHK.setText(value.toString());
        return lblHK;
    }
}
