package LookAndFeel;
/**
 * Testet die Methoden des LaF
 * 
 * @author      Florian
 * @version     Kapitel 13
 */
import javax.swing.*;

public class Demo
{
    public static void main(String[] args)
    {
        // aktuelles LaF abfragen
        LookAndFeel laf = UIManager.getLookAndFeel();
        System.out.println("Name des LaF: \"" + laf.getName() + "\" und dessen Klasse: " + laf.getClass());
        
        // alle installierten LaF abfragen
        UIManager.LookAndFeelInfo[] lafs = UIManager.getInstalledLookAndFeels();
        
        // Infos ber installierte LaFs ausgeben
        for(int i = 0; i < lafs.length; i++)
        {
            System.out.println("Name: \"" + lafs[i].getName() + "\", Klassenname: " + lafs[i].getClassName());
        }
    }
}
