package LookAndFeel_MVC.view;

import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;

/**
 * Stellt die View fr das Projekt
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */

public class GUI
{  
    public JList lstPlaneten;
    public JFrame fenster;
    public MainMenu mainMenu = new MainMenu();
    
    public GUI() 
    {
        // eine Oberflche wie im vorigen Beispiel erstellen
        fenster = new JFrame();
    
        // ein Menu erzeugen
        fenster.setJMenuBar(mainMenu);
        
        // Titel fr das Fenster
        fenster.setTitle("Demo MVC"); 
        
        // Eine Instanz der Klasse JList erzeugen
        lstPlaneten = new JList();
        
        // Anzahl mglicher Selektionen festlegen
        lstPlaneten.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        
        // Instanz in eine ScrollPane "einpacken"
        JScrollPane scrPlaneten = new JScrollPane(lstPlaneten);
        
        // Container an die Fenster-Instanz bergeben
        fenster.add(scrPlaneten);
                           
        // optimale Gre 
        fenster.pack();
        
        // Oberflche anzeigen
        fenster.setVisible(true);
    }
    
    public void plutoMenue(boolean aktiv)
    {
        mainMenu.mnPluto.setEnabled(aktiv);
    }
}