package MVC.view;

import LookAndFeel_MVC.view.MainMenu;
import java.awt.BorderLayout;
import javax.swing.JButton;
import javax.swing.JFrame;
import javax.swing.JList;
import javax.swing.JPanel;
import javax.swing.JScrollPane;
import javax.swing.ListSelectionModel;

/**
 * Stellt die View fr das Projekt
 * 
 * @author      Florian 
 * @version     Kapitel 13
 */

public class GUI
{  
    public JList lstPlaneten;
    public JFrame frmMain;
    public MainMenu mainMenu = new MainMenu();
    /**
     * Neu: der Lschen-Button
     */
    public JButton btnLoeschen = new JButton("Pluto lschen!");
    
    public GUI() 
    {
        // eine Oberflche wie im vorigen Beispiel erstellen
        frmMain = new JFrame();
    
        // ein Menu erzeugen
        frmMain.setJMenuBar(mainMenu);
        
        // Titel fr das Fenster
        frmMain.setTitle("Demo MVC");
        
        // Eine Instanz der Klasse JList erzeugen
        lstPlaneten = new JList();
        
        // Anzahl mglicher Selektionen festlegen
        lstPlaneten.setSelectionMode(ListSelectionModel.SINGLE_SELECTION);
        
        // Instanz in eine ScrollPane "einpacken"
        JScrollPane scrPlaneten = new JScrollPane(lstPlaneten);
        
        // Container an die Fenster-Instanz bergeben
        frmMain.add(scrPlaneten);
        
        // ********************** neu **********************
        // ein Panel fr "rechts" anlegen
        JPanel rechtsPanel = new JPanel();
        
        // Button auf Panel legen
        rechtsPanel.add(btnLoeschen);
        
        // Panel auf GUI legen 
        frmMain.add(rechtsPanel, BorderLayout.EAST);
        
        // ********************** Ende: neu **********************
                           
        // optimale Gre 
        frmMain.pack();
        
        // Oberflche anzeigen
        frmMain.setVisible(true);
    }
    
    public void plutoMenue(boolean aktiv)
    {
        mainMenu.mnPluto.setEnabled(aktiv);
    }
}