
/**
 * In der Klasse werden benutzerdefiniert alle drei Exceptions geworfen
 * 
 * @author      Florian 
 * @version     Kapitel 14
 */
public class Anwendung
{  
    private static void auswerten()
        throws FlinteException, SchrotflinteException
    {
        int zufallszahl; 
        zufallszahl = (int)(Math.random() * 10);
        
        if(zufallszahl < 3) 
            throw new HandtuchException(); 
        else 
            if(zufallszahl < 7) 
                throw new FlinteException(); 
            else 
                throw new SchrotflinteException(77);
    }

    private static void methode_a() 
        throws FlinteException
    {
        try
        {
            auswerten();
        }
        catch(SchrotflinteException ex)
        {
            System.out.println(ex.getMessage() + " mit Wertigkeit " + ex.getWertigkeit());
        }
    }
    
    private static void methode_b()
    {
        try
        {
            methode_a();
        }
        catch(FlinteException ex)
        {
            System.out.println(ex.getMessage());
        }
    }
    
    public static void main(String[] args)    
    { 
        try
        {
            methode_b();
        }  
        catch(HandtuchException ex)
        {
            ex.printStackTrace();
        }
    }
}
