
/**
 * Die SelbstheiratException wird geworfen, wenn eine Person versucht, sich selbst zu heiraten. 
 * 
 * @author      Florian 
 * @version     Kapitel 14
 */
public class SelbstheiratException extends RuntimeException
{
    public SelbstheiratException(Mensch mensch)
    {
        super(mensch.getName() + " versucht, sich selbst zu heiraten.");
    }
}
