
/**
 * Die Klasse DemoWrapperklassen zeigt die Verwendung von Wrapperklassen
 * 
 * @author      Florian 
 * @version     Kapitel 15
 */
public class DemoWrapperklassen
{ 
    public static void main(String[] args)
    {
        // Wrapper 
        Integer oZahl_1 = new Integer(42);
        // primitiver Datentyp
        int eZahl = 38; 
                
        System.out.println(oZahl_1 + eZahl);
        
        // Vorsicht: hier werden Referenzen von Objekten verglichen
        Integer oZahl_2 = new Integer(42);
        if(oZahl_1 == oZahl_2)
            System.out.println("oZahl_1 und oZahl_2 sind gleich");
        else 
            System.out.println("oZahl_1 und oZahl_2 sind nicht gleich");
        
        // ungleich-Vergleiche     
        if(oZahl_1 <= eZahl)
            System.out.println("oZahl_1 ist kleiner oder gleich eZahl");
        else
            System.out.println("oZahl_1 ist grer als eZahl");
            
        // Autoboxing    
        oZahl_2 = 4711;
        // ungleich-Vergleiche bei gewrappten Zahlen
        if(oZahl_1 <= oZahl_2)
            System.out.println("oZahl_1 ist kleiner oder gleich oZahl_2");
        else
            System.out.println("oZahl_1 ist grer als oZahl_2");
    }
}
