
/**
 * Die Klasse DemoThread bietet den Einstieg fr die Verarbeitung mehrere Threads
 * 
 * @author      Florian 
 * @version     Kapitel 16
 */
public class DemoThread_1 
{
    private static class DummyRunnable implements Runnable
    {
        public void run()
        {
            System.out.println("Hallo aus dem Runnable-Thread");
        }
    }
    
    private static class DummyThread extends Thread
    {
        public void run()
        {
            System.out.println("Hallo aus der Thread-Klasse");
        }
    }
    
    public static void main(String[] args)
    {
        DummyRunnable dummy = new DummyRunnable();
        Thread runnableDemo = new Thread(dummy);
        runnableDemo.start();
        
        Thread thread = new DummyThread();
        thread.start();
    }
}
