
import java.io.Serializable;

/**
 * Die Klasse Freund beschreibt einen Eintrag im Adressbuch
 * 
 * @author      Florian 
 * @version     Kapitel 17
 */
public class Freund implements Serializable
{
    private String name, email;

    public Freund(String name, String email)
    {
        this.email = email;
        this.name = name;
    }

    @Override
    public String toString()
    {
        return name + " (Email: " + email + ")";
    }
}
