
import java.awt.Component;
import java.io.File;
import java.nio.file.Path;
import java.nio.file.Paths;
import javax.swing.JLabel;
import javax.swing.JTree;
import javax.swing.filechooser.FileSystemView;
import javax.swing.tree.TreeCellRenderer;

/** 
 * Renderer fr den Baum
 * 
 * @author      Florian
 * @version     Kapitel 17
 */
public class MyRenderer implements TreeCellRenderer
{ 
    private JLabel result = new JLabel();

    public Component getTreeCellRendererComponent(JTree tree, Object value, boolean selected, boolean expanded, boolean leaf, int row, boolean hasFocus)
    {
        Path temp = Paths.get(value.toString());
        String ausgabe = temp.getFileName().toString();
        result.setText(ausgabe);
        return result;
    }
}
