
import java.io.BufferedReader;
import java.io.IOException;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStream;
import java.io.PrintWriter;
import java.net.Socket;
import java.net.UnknownHostException;

/**
 * Die Klasse MyClient ist ein Client fuer den Server
 * 
 * @author      Florian
 * @version     Kapitel 18
 */
public class MyClient
{
    /**
     * Die Portnummer
     */
    private int port = 4711;

    /**
     * Verarbeitungsroutine  
     */
    public void abgehts()
    {
        try (  
                Socket socket = new Socket("127.0.0.1", port);
                // vom Socket einen OutputStream beziehen
                OutputStream streamOut = socket.getOutputStream();
                PrintWriter writer = new PrintWriter(streamOut, true);
                // vom Socket einen InputStream beziehen
                InputStream streamIn = socket.getInputStream();
                // Brckenklasse, um einen Character-Stream zu bekommen
                InputStreamReader streamReaderIn = new InputStreamReader(streamIn);
                // Character-Stream mit BufferedReader verketten
                BufferedReader reader = new BufferedReader(streamReaderIn);)
        { 
            String aufgabe = "add 40 2";
            writer.println(aufgabe);
            String ergebnis = reader.readLine();
            System.out.println(aufgabe + " = " + ergebnis);
        }
        catch (IOException ex)
        {
            System.out.println(ex);
        }
    }
}
