
/**
 * Die Klasse AddRechenaufgabe stellt die Variablen und Methoden zur Verfgung, 
 * die fr die Addition bentigt werden. 
 * 
 * @author      Florian 
 * @version     Kapitel 18
 */
public class AddRechenaufgabe extends Rechenaufgabe 
{
    /**
     * speichert das Ergebnis der Rechenoperation
     */
    private int ergebnis = 0;
    
    /**
     * gibt das Ergebnis zurck
     * return Das Ergebnis der Addition
     */
    public int getErgebnis()
    {
        return ergebnis; 
    }
    
    /**
     * setzt das Ergebnis
     * @param ergebnis Ergebnis der Addition
     */
    public void setErgebnis(int ergebnis)
    {
        this.ergebnis = ergebnis;
    }
    
    /**
     * Konstruktor: erwartet die beiden Summanden 
     * @param int x = ein Summand
     * @param int y = der zweite Summand
     */
    public AddRechenaufgabe(int x, int y)
    {
        super(x, y);
    }
    
    /**
     * Liefert eine String-Reprsentation der Aufgabe
     * @return String String-Reprsentation der Aufgabe
     */
    @Override
    public String toString()
    {        
        return "Addition von " + getX() + " und " + getY() + ": " + ergebnis;
    }
}
