
/**
 * Die Klasse DiffRechenaufgabe stellt die Variablen und Methoden zur Verfgung, 
 * die fr die Subtraktion bentigt werden. 
 * 
 * @author      Florian 
 * @version     Kapitel 18
 */
public class DiffRechenaufgabe extends Rechenaufgabe 
{
    /**
     * speichert das Ergebnis der Rechenoperation
     */
    private int ergebnis = 0;
    
    /**
     * gibt das Ergebnis zurck
     * return Das Ergebnis der Subtraktion
     */
    public int getErgebnis()
    {
        return ergebnis; 
    }
    
    /**
     * setzt das Ergebnis
     * @param ergebnis Ergebnis der Subtraktion
     */
    public void setErgebnis(int ergebnis)
    {
        this.ergebnis = ergebnis;
    }
    
    /**
     * Konstruktor: erwartet Minuend und Subtrahend
     * @param x Zahl, von der abgezogen wird
     * @param y Zahl, die abgezogen wird
     */
    public DiffRechenaufgabe(int x, int y)
    {
        super(x, y);
    }
    
    /**
     * Liefert eine String-Reprsentation der Subtraktion
     * @return String String-Reprsentation der Subtraktion
     */
    @Override
    public String toString()
    {        
        return "Subtraktion von " + getX() + " weniger " + getY() + ": " + ergebnis;
    }
}
