
import java.sql.SQLException;
import java.util.logging.Level;
import java.util.logging.Logger;
import javax.swing.table.DefaultTableModel;

public class GUI extends javax.swing.JFrame
{

    public GUI()
    {
        initComponents();
    }

    @SuppressWarnings("unchecked") 
    private void initComponents() {

        lblPartner = new javax.swing.JLabel();
        edtPartner = new javax.swing.JTextField();
        btnAbgehts = new javax.swing.JButton();
        jSplitPane1 = new javax.swing.JSplitPane();
        jScrollPane2 = new javax.swing.JScrollPane();
        txtSQL = new javax.swing.JTextArea();
        jScrollPane1 = new javax.swing.JScrollPane();
        tblVerabredungen = new javax.swing.JTable();

        setDefaultCloseOperation(javax.swing.WindowConstants.EXIT_ON_CLOSE);

        lblPartner.setText("Bitte den Namen des Partners eingeben: ");

        btnAbgehts.setText("Abgehts");
        btnAbgehts.addActionListener(new java.awt.event.ActionListener() {
            public void actionPerformed(java.awt.event.ActionEvent evt) {
                btnAbgehtsActionPerformed(evt);
            }
        });

        jSplitPane1.setOrientation(javax.swing.JSplitPane.VERTICAL_SPLIT);
        jSplitPane1.setResizeWeight(0.1);

        txtSQL.setColumns(20);
        txtSQL.setEditable(false);
        txtSQL.setLineWrap(true);
        txtSQL.setRows(5);
        txtSQL.setWrapStyleWord(true);
        jScrollPane2.setViewportView(txtSQL);

        jSplitPane1.setTopComponent(jScrollPane2);

        tblVerabredungen.setModel(new javax.swing.table.DefaultTableModel(
            new Object [][] {
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null},
                {null, null, null, null}
            },
            new String [] {
                "Title 1", "Title 2", "Title 3", "Title 4"
            }
        ));
        jScrollPane1.setViewportView(tblVerabredungen);

        jSplitPane1.setRightComponent(jScrollPane1);

        javax.swing.GroupLayout layout = new javax.swing.GroupLayout(getContentPane());
        getContentPane().setLayout(layout);
        layout.setHorizontalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                    .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                        .addGroup(layout.createSequentialGroup()
                            .addComponent(jSplitPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 263, Short.MAX_VALUE)
                            .addContainerGap())
                        .addGroup(layout.createSequentialGroup()
                            .addGroup(layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
                                .addComponent(lblPartner)
                                .addComponent(btnAbgehts))
                            .addGap(40, 40, 40)))
                    .addGroup(javax.swing.GroupLayout.Alignment.TRAILING, layout.createSequentialGroup()
                        .addComponent(edtPartner, javax.swing.GroupLayout.PREFERRED_SIZE, 166, javax.swing.GroupLayout.PREFERRED_SIZE)
                        .addContainerGap())))
        );
        layout.setVerticalGroup(
            layout.createParallelGroup(javax.swing.GroupLayout.Alignment.LEADING)
            .addGroup(layout.createSequentialGroup()
                .addContainerGap()
                .addComponent(lblPartner)
                .addPreferredGap(javax.swing.LayoutStyle.ComponentPlacement.RELATED)
                .addComponent(edtPartner, javax.swing.GroupLayout.PREFERRED_SIZE, javax.swing.GroupLayout.DEFAULT_SIZE, javax.swing.GroupLayout.PREFERRED_SIZE)
                .addGap(18, 18, 18)
                .addComponent(btnAbgehts)
                .addGap(12, 12, 12)
                .addComponent(jSplitPane1, javax.swing.GroupLayout.DEFAULT_SIZE, 229, Short.MAX_VALUE)
                .addContainerGap())
        );

        pack();
    }// </editor-fold>//GEN-END:initComponents

    private void btnAbgehtsActionPerformed(java.awt.event.ActionEvent evt)//GEN-FIRST:event_btnAbgehtsActionPerformed
    {//GEN-HEADEREND:event_btnAbgehtsActionPerformed
        String partnerName = edtPartner.getText();
        try
        {
            TermineSQL.getTerminByName(partnerName);
            tblVerabredungen.setModel(new DefaultTableModel(TermineSQL.data, TermineSQL.headers));
        }
        catch (SQLException ex)
        {
            System.out.println(ex.getMessage());
        }
        catch (Exception ex)
        {
            System.out.println(ex.getMessage());
        }
        txtSQL.setText(TermineSQL.befehl);

    }//GEN-LAST:event_btnAbgehtsActionPerformed
    // Variables declaration - do not modify//GEN-BEGIN:variables
    private javax.swing.JButton btnAbgehts;
    private javax.swing.JTextField edtPartner;
    private javax.swing.JScrollPane jScrollPane1;
    private javax.swing.JScrollPane jScrollPane2;
    private javax.swing.JSplitPane jSplitPane1;
    private javax.swing.JLabel lblPartner;
    private javax.swing.JTable tblVerabredungen;
    private javax.swing.JTextArea txtSQL;
    // End of variables declaration//GEN-END:variables
}
