
/**
 * Die Klasse Geburtstagskalender erstellt einen Geburtstagkalender.
 * Es gibt fr jeden Tag im Monat fr jeden Monat im Jahr einen String. 
 * 
 * @author      Florian 
 * @version     Kapitel 7
 */
public class Geburtstagskalender_V1
{ 
    String[] januar = new String[31];
    String[] februar = new String[29];
    // ...
    String[] dezember = new String[31];
    
    /**
     * Trgt einen Geburtstag ein: 
     */
    public void eintragen(int monat, int tag, String name)
    {
        switch(monat)
        {
            case 0:     januar[tag - 1] = name;
                        break;
            case 1:     februar[tag - 1] = name;
                        break;
            // ...
            case 11:    dezember[tag - 1] = name;
                        break;
            default:    System.out.println("Dieser Monat existiert nicht");
                        break;
        }
    }
    
    /**
     * initialisiert alle Tage eines Monats
     */
    private void initialisieren()
    {
        for (String tag: januar)
        {
            tag = new String();
        }
        
        for (String tag: februar)
        {
            tag = new String();
        }
    }
    
    // ...
}
