
/**
 * Die Nebenjob-Brse der Uni - neue Job knnen eingestellt werden; diese werden an die registrierten 
 * Studenten weitergeleitet
 * 
 * @author      Florian 
 * @version     Kapitel 10
 */
import java.util.Observable; 

public class JobBoerse extends Observable
{ 
    private static JobBoerse instance = new JobBoerse();
    
    private JobBoerse()
    {
        // keine Objekterzeugung von extern
    }

    public void anlegenJob(String job)
    {
        System.out.println("Folgender Job wird angelegt: " + job);
        this.setChanged(); 
        this.notifyObservers(job);
    }
    
    public static JobBoerse getInstance()
    {
        return instance;
    }
}
