/**
 * Die Klasse MyFrame stellt ein JFrame zur Verfgung
 * 
 * @author      Florian
 * @version     Kapitel 11
 */
import java.awt.event.*;
import javax.swing.*;

public class MyFrame extends JFrame
{        
    // Die Variablen fr die beiden Buttons
    private JButton btnHello;
    private JButton btnGoodbye;
    
    // JPanel, auf dem die Komponenten angeordnet werden
    private JPanel pnlAnwendung;  
    
    // Konstruktor
    MyFrame()
    {        
        // Die Gre des Fensters in Pixel
        setSize(500, 500);
 
        // Programm beenden, wenn Fenster geschlossen wird
        setDefaultCloseOperation(JFrame.EXIT_ON_CLOSE);
 
        // Dem Fenster einen Titel geben
        setTitle("Meine bung-GUI"); 
        
        // Ein Panel anlegen
        pnlAnwendung = new JPanel();

        // Eine Schaltflche - Button - anlegen
        btnHello = new JButton("Hello");
        btnGoodbye = new JButton("Goodbye"); 

        pnlAnwendung.add(btnHello);
        pnlAnwendung.add(btnGoodbye);
        getContentPane().add(pnlAnwendung);
    } 
}
