
/**
 * Oberfläche des Programms
 * 
 * @author      Florian 
 * @version     Kapitel 12
 */
import javax.swing.JFrame;
import javax.swing.WindowConstants;
import javax.swing.JTabbedPane;
import javax.swing.JPanel;
import javax.swing.JLabel;
import javax.swing.JScrollPane;
import javax.swing.ImageIcon;

public class GUI extends JFrame
{    
    public GUI()
    {
        // eine TabbedPane anlegen
        JTabbedPane tbbMain = new JTabbedPane();        
        // einige Reiter anlegen
        tbbMain.add(new KatzenPanel(), "Katze");
        tbbMain.add(createCatPanel(), "Katzenbild (groß)");
        tbbMain.add(new PasswordPanel(), "Passwort-Eingabe");
        tbbMain.add(new JPanel(), "Panel Nr. 4");
        tbbMain.add(new JPanel(), "Panel Nr. 5");
                
        // TabbedPane auf Oberfläche legen
        this.add(tbbMain);
        // optimale Größe bestimmen
        this.setSize(700, 600);
        // Titel für das Fenster
        this.setTitle("Lösungsvorschlag Kapitel 12");
        // sichtbar machen
        this.setVisible(true);    
        // beim Schließen Programm beenden
        this.setDefaultCloseOperation(WindowConstants.EXIT_ON_CLOSE);
    }
    
    private JScrollPane createCatPanel()
    {
          // ein Grafik-Objekt erzeugen
        ImageIcon icnKatze = new ImageIcon("Cat_04.jpg");
        // ein Label für die Anzeige 
        JLabel lblAnzeige = new JLabel(icnKatze);    
        // ScrollPane anlegen
        JScrollPane scrAnzeige = new JScrollPane(lblAnzeige);
        return scrAnzeige;
    }
}
