
/**
 * Definiert einen Comparator, der die Planeten nach der Umlaufdauer sortiert
 * 
 * @author      Florian 
 * @version     Kapitel 15
 */

import java.util.Comparator;

public class ZeitComparator implements Comparator<Planet>
{ 
    @Override
    public int compare(Planet planet_1, Planet planet_2)
    {
        Double dauer_1 = planet_1.getUmlaufzeit();
        Double dauer_2 = planet_2.getUmlaufzeit();
        return dauer_1.compareTo(dauer_2);
    }
}
