
/**
 * Die Klasse modelliert eine Klausur 
 * 
 * @author      Florian 
 * @version     Kapitel 8
 */
public class Klausur
{
    /**
     * Erreichte Punktzahl
     */
    private int punkte = 0; 
    /**
     * Thema der Klausur 
     */
    private String thema = new String();
    
    /**
     * Legt fest, wie viele Punkte erreicht wurden
     * @param punkte Die erreichte Punktzahl
     */
    public void setPunktzahl(int punkte)
    {
        this.punkte = punkte;
    }
    
    /**
     * Gibt die erreichte Punktzahl zurck 
     * @return Die erreichte Punktzahl 
     */
    public int getPunktzahl()
    {
        return punkte; 
    }
    
    /**
     * Legt das Thema der Klausur fest
     * @param thema Das Thema der Klausur 
     */    
    public void setThema(String thema)
    {
        this.thema = thema; 
    }
    
    /**
     * Gibt das Thema der Klausur zurck 
     * @return Thema der Klausur 
     */
    public String getThema()
    {
        return thema; 
    }
    
    /**
     * Gibt eine String-Reprsentation des Objektes zurck 
     * @return Beschreibung des Objektes 
     */
    public String toString()
    {
        return "Thema: \"" + thema + "\", Ergebnis: " + punkte + " Punkte";
    }
}
